List accessPackageAssignments
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
In Azure AD entitlement management, retrieve a list of accessPackageAssignment objects. For directory-wide administrators, the resulting list includes all the assignments, current and well as expired, that the caller has access to read, across all catalogs and access packages. If the caller is on behalf of a delegated user who is assigned only to catalog-specific delegated administrative roles, the request must supply a filter to indicate a specific access package, such as: $filter=accessPackage/id eq 'a914b616-e04e-476b-aa37-91038f0b165b'.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | EntitlementManagement.Read.All, EntitlementManagement.ReadWrite.All |
| Delegated (personal Microsoft account) | Not supported. |
| Application | EntitlementManagement.Read.All, EntitlementManagement.ReadWrite.All |
HTTP request
GET /identityGovernance/entitlementManagement/accessPackageAssignments
Query parameters
This method supports the $select, $filter, and $expand OData query parameters to help customize the response.
If the user or app is assigned only to catalog-specific administrative roles, the request must supply a filter to indicate a specific access package, such as: $filter=accessPackage/id eq 'a914b616-e04e-476b-aa37-91038f0b165b'.
Example scenarios for using query parameters
- To return the target subject and access package, include
$expand=target,accessPackage. - To retrieve only delivered assignments, you can include a query
$filter=assignmentState eq 'Delivered'. - To retrieve only assignments for a particular user, you can include a query with assignments targeting the object ID of that user:
$expand=target&$filter=target/objectid+eq+'7deff43e-1f17-44ef-9e5f-d516b0ba11d4'. - To retrieve only assignments for a particular user and a particular access package, you can include a query with assignments targeting that access package and the object ID of that user:
$expand=accessPackage,target&$filter=accessPackage/id eq '9bbe5f7d-f1e7-4eb1-a586-38cdf6f8b1ea' and target/objectid eq '7deff43e-1f17-44ef-9e5f-d516b0ba11d4'. - To retrieve only assignments resulting from a particular access package assignment policy, you can include a query for that policy:
$filter=accessPackageAssignmentPolicy/id eq 'd92ebb54-9b46-492d-ab7f-01f76767da7f'.
For general information, see OData query parameters.
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {token}. Required. |
Request body
Do not supply a request body for this method.
Response
If successful, this method returns a 200 OK response code and a collection of accessPackageAssignment objects in the response body.
Examples
Request
The following is an example of the request.
GET https://graph.microsoft.com/beta/identityGovernance/entitlementManagement/accessPackageAssignments
Response
The following is an example of the response.
Note: The response object shown here might be shortened for readability.
HTTP/1.1 200 OK
Content-type: application/json
{
"value": [
{
"id": "9bdae7b4-6ece-487b-9eb8-9679dbd67aa2",
"catalogId": "cc30dc98-6d3c-4fa0-bed8-fd76d0efd993",
"accessPackageId": "e3f47362-993f-4fcb-8a38-532ffca16150",
"assignmentPolicyId": "63ebd106-8116-40e7-a0ab-01ae475d11bb",
"targetId": "ab4291f6-66b7-42bf-b597-a05b29414f5c",
"assignmentStatus": "ExpiredNotificationTriggered",
"assignmentState": "Expired",
"isExtended": false,
"expiredDateTime": "2019-04-25T23:45:40.42Z"
}
]
}
Saran dan Komentar
Kirim dan lihat umpan balik untuk